from fastapi import APIRouter

from app.core.config import settings
from app.schemas.response import HealthResponse

router = APIRouter()


@router.get("", response_model=HealthResponse)
async def health_check() -> HealthResponse:
    """
    Health check endpoint to verify the API is working.
    """
    return HealthResponse(
        status="ok",
        version=settings.VERSION,
    )
