from pydantic_settings import BaseSettings


class Settings(BaseSettings):
    """
    Application settings.
    """

    API_V1_STR: str = "/api/v1"
    PROJECT_NAME: str = "REST API Service"
    PROJECT_DESCRIPTION: str = "A REST API service built with FastAPI and SQLite"
    VERSION: str = "0.1.0"

    # CORS settings
    BACKEND_CORS_ORIGINS: list[str] = ["*"]

    class Config:
        env_file = ".env"
        case_sensitive = True


settings = Settings()
